Bug 22116 - Add price formatting to rental charge and replacement price on items tab in staff
Summary: Add price formatting to rental charge and replacement price on items tab in s...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 22112
  Show dependency treegraph
 
Reported: 2019-01-12 07:54 UTC by Katrin Fischer
Modified: 2019-02-12 13:20 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22116: Add price formatting to rental charge and replacement price on items tab in staff (4.66 KB, patch)
2019-01-12 08:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22116: Add price formatting to rental charge and replacement price on items tab in staff (4.71 KB, patch)
2019-01-15 02:17 UTC, Jack
Details | Diff | Splinter Review
Bug 22116: Add price formatting to rental charge and replacement price on items tab in staff (4.77 KB, patch)
2019-02-08 16:58 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-01-12 07:54:49 UTC

    
Comment 1 Katrin Fischer 2019-01-12 08:06:19 UTC
Created attachment 83836 [details] [review]
Bug 22116: Add price formatting to rental charge and replacement price on items tab in staff

Adds formatting to replacement price and rental charge on items
tab.

To test:
- Add a rental charge to one or more of your item types
- Edit a record with some items, add replacement cost to some
- Find or create a record with your rental charged itemtype (MARC21:942$c)
- Go to the staff detail page of those records
- Check "Items" tab for
  - Rental charge on top
  - Replacement price for items
- Verify information is displayed correctly when toggling CurrencyFormat
  system preference
Comment 2 Jack 2019-01-15 02:17:42 UTC
Created attachment 83922 [details] [review]
Bug 22116: Add price formatting to rental charge and replacement price on items tab in staff

Adds formatting to replacement price and rental charge on items
tab.

To test:
- Add a rental charge to one or more of your item types
- Edit a record with some items, add replacement cost to some
- Find or create a record with your rental charged itemtype (MARC21:942$c)
- Go to the staff detail page of those records
- Check "Items" tab for
  - Rental charge on top
  - Replacement price for items
- Verify information is displayed correctly when toggling CurrencyFormat
  system preference

Signed-off-by: Jack Kelliher <jke0429@stacmail.net>
Comment 3 Katrin Fischer 2019-01-15 06:16:20 UTC
Thank you, Jack!
Comment 4 Martin Renvoize 2019-02-08 16:58:46 UTC
Created attachment 84888 [details] [review]
Bug 22116: Add price formatting to rental charge and replacement price on items tab in staff

Adds formatting to replacement price and rental charge on items
tab.

To test:
- Add a rental charge to one or more of your item types
- Edit a record with some items, add replacement cost to some
- Find or create a record with your rental charged itemtype (MARC21:942$c)
- Go to the staff detail page of those records
- Check "Items" tab for
  - Rental charge on top
  - Replacement price for items
- Verify information is displayed correctly when toggling CurrencyFormat
  system preference

Signed-off-by: Jack Kelliher <jke0429@stacmail.net>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2019-02-08 16:59:20 UTC
Simple QA.. Passed.
Comment 6 Nick Clemens 2019-02-11 18:39:51 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-12 13:20:15 UTC
Pushed to 18.11.x for 18.11.03